Retrieve Binder
Retrieve all fields and values configured on a specific binder in your Vault. By default, this endpoint retrieves the first level (root) of the binder's structure. To retrieve all levels, use the depth query parameter.
For binders with unbound documents, this endpoint retrieves versions based on binder display options for unbound documents set in the Vault UI. Learn more about document type settings in Vault Help
To retrieve a list of all binders in your Vault, we recommend using Direct Data API or VQL (SELECT id FROM binders).
/api/{version}/objects/binders/{binder_id}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
depth | To retrieve all information in all levels of the binder, set this to all. If omitted, defaults to retrieving information for only the first level. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/binders/29?depth=allResponse
Section link for Response{
"responseStatus": "SUCCESS",
"document": {
"id": 29,
"binder__v": true,
"coordinator__v": {
"groups": [],
"users": [
63606
]
},
"owner__v": {
"groups": [],
"users": [
46916
]
},
"approver__v": {
"groups": [],
"users": [
25524
]
},
"reviewer__v": {
"groups": [],
"users": [
60145
]
},
"distribution_contacts__v": {
"groups": [],
"users": []
},
"viewer__v": {
"groups": [
3
],
"users": []
},
"consumer__v": {
"groups": [],
"users": [
60145
]
},
"editor__v": {
"groups": [],
"users": [
25496
]
},
"version_creation_date__v": "2016-03-09T21:55:22.000Z",
"major_version_number__v": 0,
"lifecycle__v": "Field Medical",
"subtype__v": "Training Materials",
"annotations_links__v": 0,
"annotations_notes__v": 0,
"name__v": "VeevaProm Info Binder",
"locked__v": false,
"annotations_all__v": 0,
"status__v": "Draft",
"type__v": "Field Medical",
"description__v": "",
"annotations_unresolved__v": 0,
"last_modified_by__v": 46916,
"product__v": [
"00P000000000102"
],
"version_created_by__v": 46916,
"document_creation_date__v": "2016-03-09T20:42:18.692Z",
"country__v": [
"00C000000000109"
],
"annotations_anchors__v": 0,
"document_number__v": "VV-MED-00029",
"annotations_resolved__v": 0,
"annotations_lines__v": 0,
"version_modified_date__v": "2016-03-09T21:55:22.000Z",
"created_by__v": 46916,
"minor_version_number__v": 2
},
"versions": [
{
"number": "0.1",
"value": "https://medcomms-veevapharm.veevavault.com/api/v26.1/objects/binders/29/versions/0/1"
},
{
"number": "0.2",
"value": "https://medcomms-veevapharm.veevavault.com/api/v26.1/objects/binders/29/versions/0/2"
}
],
"binder": {
"nodes": [
{
"properties": {
"document_id__v": 7,
"name__v": "VeevaProm Information",
"order__v": 0,
"type__v": "document",
"id": "1457556160448:810987462",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"document_id__v": 2,
"name__v": "VeevaProm Consumer Info",
"order__v": 300,
"type__v": "document",
"id": "1457559259279:-602158059",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"document_id__v": 5,
"name__v": "VeevaProm Brochure",
"order__v": 301,
"type__v": "document",
"id": "1457556176044:-743019200",
"parent_id__v": "rootNode"
}
},
{
"properties": {
"section_number__v": null,
"name__v": "First Section Folder",
"order__v": 401,
"type__v": "section",
"id": "1457560333810:-909497856",
"parent_id__v": "rootNode"
},
"nodes": [
{
"properties": {
"document_id__v": 28,
"name__v": "Alterin Prescribing Information",
"order__v": 0,
"type__v": "document",
"id": "1457560375017:-1371674753",
"parent_id__v": "1457560333810:-909497856"
}
},
{
"properties": {
"document_id__v": 26,
"name__v": "Alterin Health Notes",
"order__v": 100,
"type__v": "document",
"id": "1457560377637:-2013602559",
"parent_id__v": "1457560333810:-909497856"
}
},
{
"properties": {
"document_id__v": 27,
"name__v": "Alterin Information Packet",
"order__v": 200,
"type__v": "document",
"id": "1457560379150:954844502",
"parent_id__v": "1457560333810:-909497856"
}
}
]
},
{
"properties": {
"section_number__v": null,
"name__v": "Second Section Folder",
"order__v": 501,
"type__v": "section",
"id": "1457560348267:1179700878",
"parent_id__v": "rootNode"
},
"nodes": [
{
"properties": {
"document_id__v": 24,
"name__v": "Nyaxa Information Packet",
"order__v": 0,
"type__v": "document",
"id": "1457560406595:-2060980086",
"parent_id__v": "1457560348267:1179700878"
}
},
{
"properties": {
"document_id__v": 23,
"name__v": "Nyaxa and Your Health",
"order__v": 100,
"type__v": "document",
"id": "1457560409271:-1499449603",
"parent_id__v": "1457560348267:1179700878"
}
},
{
"properties": {
"document_id__v": 25,
"name__v": "Nyaxa Prescribing Information",
"order__v": 200,
"type__v": "document",
"id": "1457560412997:-1622511549",
"parent_id__v": "1457560348267:1179700878"
}
}
]
}
]
}
}Response Details
Section link for Response DetailsOn SUCCESS, Vault retrieves the fields and components of the binder in a hierarchical structure, showing the parent-child relationships for each item and maintaining the specific order of the objects in each level. By default, the response only includes the root of the binder structure.
The example response shows fields and values configured on binder "id": 29, using the depth=all request parameter to retrieve all levels of binder nodes in the binder’s structure.
For each node in a binder, the API returns the following fields:
| Field Name | Description |
|---|---|
nodes [n] | List of all nodes (documents and sections) at each level in the binder. |
properties [n] | List of all properties associated with each document or section node. |
order__v | Order of the node (document or section) within the binder or within the binder section. Negative order values appear first. For example, an order value of -100 appears before an order value of 0. |
section_number__v | Optional number which can be added to each section. |
type | Type of node (document or section). |
document_id__v | The document ID of the document in the binder. This is the same as the document's actual document id |
id | The document ID or section ID specific to the binder. For documents, this is different from the document's actual document id. |
parent_id__v | Section ID of the parent node, e.g., "rootNode". |
name__v | Name of the document or section. For sections, this is the name of the "subfolder" seen in the binder hierarchy in the UI. |
major_version_number__v | If the document binding rule is "specific", this is major version number of the document. |
minor_version_number__v | If the document binding rule is "specific", this is minor version number of the document. |